import { BaseSeeder } from '@adonisjs/lucid/seeders'
import Room from '#models/room'

export default class extends BaseSeeder {
  async run() {
    await Room.updateOrCreate(
      { name: 'Kisterem' },
      {
        name: 'Kisterem',
        capacity: 20,
        description: 'Kis terem, kisebb rendezvényekre',
      }
    )

    await Room.updateOrCreate(
      { name: 'Nagyterem' },
      {
        name: 'Nagyterem',
        capacity: 50,
        description: 'Esküvőkre, lagzikra, céges rendezvényekre',
      }
    )

    await Room.updateOrCreate(
      { name: 'Terasz' },
      {
        name: 'Terasz',
        capacity: 30,
        description: 'Külső terasz',
      }
    )
  }
}
